GO-MMPROXY(1)

NAME
go-mmproxy - application to terminate HAProxy's PROXY protocol

DESCRIPTION

  Usage of go-mmproxy:

-4 string

    Address to which IPv4 traffic will be forwarded to (default "127.0.0.1:443")

-6 string

    Address to which IPv6 traffic will be forwarded to (default "[::1]:443")

-allowed-subnets string

    Path to a file that contains allowed subnets of the proxy servers

-close-after int

    Number of seconds after which UDP socket will be cleaned up on inactivity (default 60)

-dynamic-destination

    Traffic will be forwarded to the destination specified in the PROXY protocol header

-l string

    Address the proxy listens on (default "0.0.0.0:8443")

-listeners int

    Number of listener sockets that will be opened for the listen address (Linux 3.9+) (default 1)

-mark int

    The mark that will be set on outbound packets

-p string

    Protocol that will be proxied: tcp, udp (default "tcp")

-v int

    0 - no logging of individual connections
    1 - log errors occurring in individual connections
    2 - log all state changes of individual connections